> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpertai.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 读取线程

> 读取线程详情及其元数据，包括所属对话 ID。



## OpenAPI

````yaml /api/openapi.sdk.zh-Hans.json get /api/ai/threads/{thread_id}
openapi: 3.0.3
info:
  title: XpertAI SDK HTTP 接口
  version: 1.0.0
  description: >-
    SDK 指南使用的当前 HTTP 接口。使用服务端 API Key，通过 Authorization: Bearer <API_KEY> 或
    x-api-key 鉴权，不依赖 ChatKit。本参考覆盖指南中的案例，不代表 SDK 导出的所有方法都已实现；使用其他字段前请核对部署支持情况。
servers:
  - url: https://api.xpertai.cn
    description: XpertAI API，私有部署请替换为自己的 API 服务地址。
security:
  - ApiKeyBearer: []
  - ApiKeyHeader: []
tags:
  - name: Assistants
  - name: Threads
  - name: Runs
  - name: Contexts
  - name: Store
paths:
  /api/ai/threads/{thread_id}:
    get:
      tags:
        - Threads
      summary: 读取线程
      description: 读取线程详情及其元数据，包括所属对话 ID。
      operationId: get_thread
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 请求成功。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Thread'
              example:
                thread_id: 11111111-1111-4111-8111-111111111111
                status: idle
                metadata:
                  conversation_id: 44444444-4444-4444-8444-444444444444
        '400':
          description: 请求参数、标识关联或操作状态不正确。
        '401':
          description: 缺少 API Key 或 API Key 无效。
        '403':
          description: 调用方无权访问目标资源。
        '404':
          description: 资源不存在或对调用方不可用。
components:
  schemas:
    Thread:
      type: object
      properties:
        thread_id:
          type: string
        status:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        metadata:
          type: object
          properties:
            conversation_id:
              type: string
              description: 对话 ID，与 thread_id 不同。
            assistant_id:
              type: string
            title:
              type: string
          additionalProperties: true
        values:
          type: object
          additionalProperties: true
      required:
        - thread_id
        - status
  securitySchemes:
    ApiKeyBearer:
      type: http
      scheme: bearer
      description: 服务端 API Key，不要暴露到浏览器代码中。
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.